> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitrace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Blacklist Addresses

> addBlacklistAddresses - This endpoint adds addresses to the blacklist.



## OpenAPI

````yaml POST /api/v1/tracker/address/blacklist
openapi: 3.0.3
info:
  title: Bitrace AML API
  description: >-
    Bitrace AML API provides comprehensive blockchain and crypto compliance
    tools for real-time risk detection capabilities. The API enables scrutiny of
    crypto transactions, wallet addresses, and crypto tokens with precision and
    efficiency.
  version: 1.0.0
  contact:
    name: Bitrace Support
    email: support@bitrace.io
servers:
  - url: https://api.bitrace.io
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: KYA (Know Your Address)
    description: Address risk assessment and entity identification
  - name: KYT (Know Your Transaction)
    description: Transaction monitoring and compliance
  - name: Account API
    description: Account usage and management APIs
  - name: Address Management
    description: Address management on the blacklist and whitelist
paths:
  /api/v1/tracker/address/blacklist:
    post:
      tags:
        - Address Management
      summary: Add Blacklist Addresses
      description: addBlacklistAddresses - This endpoint adds addresses to the blacklist.
      parameters:
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
            enum:
              - application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BlacklistAddressRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
              example:
                success: true
                code: 1
                status: SUCCESS
                msg: SUCCESS
        '400':
          description: Bad Request - Invalid input
          content:
            application/json:
              example:
                msg: RiskType is empty
                code: 3016
                success: false
                timestamp: 1776843774
                status: FAIL
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimit'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    BlacklistAddressRequest:
      type: object
      required:
        - network
        - list
      properties:
        network:
          $ref: '#/components/schemas/Network'
          description: The blockchain network
        list:
          type: array
          items:
            type: object
            required:
              - address
            properties:
              address:
                type: string
                description: The blockchain address
              risks:
                type: array
                items:
                  type: object
                  required:
                    - riskType
                    - riskLevel
                  properties:
                    riskType:
                      $ref: '#/components/schemas/RiskType'
                    riskLevel:
                      $ref: '#/components/schemas/RiskLevel'
                maxItems: 10
                description: The risks associated with this address, maximum 10 items
          maxItems: 100
          description: The list of addresses to add, maximum 100 items
    SuccessResponse:
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          properties:
            status:
              type: string
              description: The status of the response
    Network:
      type: string
      enum:
        - ethereum
        - eth
        - tron
        - btc
        - bsc
        - polygon
        - arbitrum
        - optimism
        - avalanche
        - base
        - zksync
        - merlin
        - kaia
        - iotex
        - ftm
        - theta
        - etc
        - lumia
        - solana
        - doge
        - ltc
      description: Supported blockchain networks
    RiskType:
      type: string
      enum:
        - black-gray-goods
        - online-gambling
        - scam
        - hack
        - launder-money
        - sanction
        - frozen
        - politics
        - drug
        - gun
        - terrorist
        - porn
        - controlled-substance
        - bloodiness
        - religion
        - csam
      description: The type of the risk
    RiskLevel:
      type: string
      enum:
        - high
        - generally-high
        - low
        - whitelist
      description: The level of the risk
    BaseResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
        code:
          type: integer
          description: Response code (1 for success, other numbers for errors)
        msg:
          type: string
          description: SUCCESS or error message
    Error:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
          default: false
        code:
          type: integer
        msg:
          type: string
        status:
          type: string
  responses:
    Unauthorized:
      description: Unauthorized - Incorrect API key provided
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimit:
      description: Too Many Requests - Rate limit reached or quota exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error - We had a problem with our server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Access-Key
      description: API key authentication

````